# Camera configuration file for drop-dead boring camera, consisting of a single chip with single cell.

# File formats that we know about
FORMATS         METADATA
	SIMPLE	STR	simple/format.config
END

# Description of camera --- all the chips and the cells that comprise them
FPA     METADATA
        Chip		STR	Cell
END

# move this elsewhere?  we need a lookup table to go from filter ID to abstract name
FILTER.ID       METADATA
	B	STR	B
	V	STR	V
	R	STR	R
	I	STR	I
	z	STR	z
END

# Table of strings to use for the class identifier (see ippdb) according to the file level.
CLASSID		METADATA
	FPA	STR	fpa
END

DVO.CAMERADIR	STR	megacam		# Camera directory for DVO

# convert supplied FPA.OBSTYPE values to abstract exptype names
OBSTYPE.TABLE METADATA
  bias 	   STR BIAS
  zero 	   STR BIAS
  dark 	   STR DARK
  flat 	   STR SKYFLAT
  skyflat  STR SKYFLAT
  domeflat STR DOMEFLAT
  object   STR OBJECT
  science  STR OBJECT
END

# Recipe options
RECIPES		METADATA
        PPIMAGE         STR     simple/ppImage.config   # Default: all (normal) options on
	PSPHOT		STR	simple/psphot.config	# psphot details
END

# Reduction classes
REDUCTION	METADATA
	# Detrend processing
	DETREND		METADATA
		BIAS_PROCESS	STR	PPIMAGE_O
		BIAS_RESID	STR	PPIMAGE_B
		BIAS_VERIFY	STR	PPIMAGE_OB
		BIAS_STACK	STR	PPMERGE_BIAS
		DARK_PROCESS	STR	PPIMAGE_OB
		DARK_RESID	STR	PPIMAGE_D
		DARK_VERIFY	STR	PPIMAGE_OBD
		DARK_STACK	STR	PPMERGE_DARK
		SHUTTER_PROCESS	STR	PPIMAGE_OBD
		SHUTTER_RESID	STR	PPIMAGE_S
		SHUTTER_VERIFY	STR	PPIMAGE_OBDS
		SHUTTER_STACK	STR	PPMERGE_SHUTTER
		FLAT_PROCESS	STR	PPIMAGE_OBDS
		FLAT_RESID	STR	PPIMAGE_F
		FLAT_VERIFY	STR	PPIMAGE_OBDSF
		FLAT_STACK	STR	PPMERGE_FLAT
		FRINGE_PROCESS	STR	PPIMAGE_OBDSF
		FRINGE_RESID	STR	PPIMAGE_R
		FRINGE_VERIFY	STR	PPIMAGE_OBDSFR
		FRINGE_STACK	STR	PPMERGE_FRINGE
	END
	# Processing raw data
	DEFAULT		METADATA
		CHIP		STR	PPIMAGE_OBDSFRA
	END
END

FILERULES STR simple/filerules.mdc

EXTNAME.RULES METADATA
  CMF.HEAD STR hdr
  CMF.DATA STR psf

  PSF.HEAD  STR hdr
  PSF.TABLE STR psf_model
  PSF.RESID STR psf_resid
END

